--- 
Title: Environmental data
Author: Jannik
Topics:
  - options for sea science
  - types of environmental data
status: draft
---

# Sea Science

## Environmental data

The KM3NeT research infrastructure will also house instrumentation for Earth and Sea sciences for long-term and on-line monitoring of the deep-sea environment. Until now, measurements in the deep sea are typically performed by deploying and recovering autonomous devices that record data over periods of months to years. This method is severely constrained by bandwidth limitations, by the absence of real-time interaction with the measurement devices and by the delayed access to the data. A cabled deep-sea marine observatory, like KM3NeT, remedies these disadvantages by essentially providing a power socket and high bandwidth Ethernet connection at the bottom of the sea. This is an important and unique opportunity for performing deep-sea research in the fields of marine biology, oceanography, environmental sciences and geosciences. To this end, both the French and Italian KM3NeT sites are nodes of the European Multidisciplinary Seafloor and water column Observatory [EMSO](http://emso.eu).

EMSO sea science instrumentation modules will host sensors that provide real-time monitoring of a plethora of environmental parameters including temperature, pressure, conductivity, oxygen concentration, turbidity and sea current. Additional instrumentation including a benthic crawler, a seismograph, a deep-sea Germanium gamma detector and a high-speed, single-photon [video camera for bioluminescence studies](https://www.appec.org/news/km3net-is-growing-recent-deployment-in-the-mediterranean-sea) will also be installed. Furthermore, the KM3NeT optical modules themselves provide invaluable data on deep-sea bioluminescence and bioacoustic monitoring of the local cetacean populations. For example, acoustic signals from whales and dolphins can be detected with the [acoustic sensors](https://www.researchitaly.it/en/projects/big-electronic-ears-spy-on-sperm-whales-in-the-mediterranean-sea/). An other example is the possibility to use the optical fibres in the main electro-optical cables, that run for many tens of kilometre along the seafloor, for [seismological studies](https://eartharxiv.org/ekrfy).

## Acoustic data

The telescope is also equipped with acoustic sensors: 1 piezo-electric ceramic sensor is installed in each DOM, 1 hydrophone on each DU base and on the junction boxes of the seafloor network. Main purpose of these sensors is to provide real time positioning of each DOM with cm accuracy. The hydrophone sensitivity (ominidirectional) is about -173 dB re 1V/uPa over the frequency band between few tens Hz and 70 kHz, that makes this sensor also suitable for interdisciplinary studies. 

The default KM3NeT DAQ has been designed to identify only the (known) acoustic signals emitted by a long baseline of acoustic sensors among the full data stream (Figure 2). A further implementation of the DAQ isforeseen in the future, permitting on-line analysis, display and recording of the underwater noise spectrum through a dedicated channel. A large number of use cases has been identified, as described [in this document](https://www.km3net.org/wp-content/uploads/2020/02/D8.1-KM3NeT-rules-of-access-for-external-users.pdf)
